linter-phan

Lint PHP on the fly, using phan


License
MIT
Install
apm install linter-phan@2.0.0

Documentation

linter-phan

This linter plugin for Linter provides an interface to Phan. It will be used with files that have the "PHP" syntax or PHP embedded within HTML.

Installation

Phan installation

Before installing this plugin, you must ensure that phan is installed on your system. For detailed instructions see Phan Github, the simplified steps are:

  1. Install php.
  2. Install Composer.
  3. Install phan by typing the following in a terminal:
composer global require phan/phan

After verifying that phan works from your terminal, proceed to install the linter-phan plugin.

Plugin installation

$ apm install linter-phan